Approve Request
curl --request POST \
--url https://{host}/api/approvals/{request_id}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"note": ""
}'import requests
url = "https://{host}/api/approvals/{request_id}/approve"
payload = { "note": "" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({note: ''})
};
fetch('https://{host}/api/approvals/{request_id}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"kind": "<string>",
"target": "<string>",
"requester": "<string>",
"status": "<string>",
"reason": "",
"payload": {},
"summary": "",
"decided_by": "<string>",
"decided_at": "<string>",
"decision_note": "",
"expires_at": "<string>",
"created_at": "<string>",
"can_decide": false
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}POST
/
api
/
approvals
/
{request_id}
/
approve
Approve Request
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
路径参数
请求体
application/json
Maximum string length:
2000响应
Successful Response